<?php
require('../../../wp-blog-header.php');
require('class-wc-comnpay-payment.php');

$WC_ComNpay = new WC_ComNpay();
if(!validSec($_POST, $WC_ComNpay->get_option('comnpay_gateway_secret_key')))	{
    header("Status: 400 Bad Request", false, 400);
    exit();
}else{
    header("HTTP/1.1 200 OK");
}
$explodeDatas = explode('-',$_POST["idTransaction"]);
$order_id = $explodeDatas[0];
$TypeTR = $explodeDatas[1];

$arrayLangValue = array(
	'fr' => array(
		'D'	=> 'Paiement classique',
		'P3F'	=> 'Paiement en 3 fois',
		'PA'	=> 'Pré-Autorisation'
	),
	'en' => array(
		'D'	=> 'Classic payment',
		'P3F'	=> 'Payment in 3 times',
		'PA'	=> 'Pre-authorization'

	),
	'it' => array(
		'D'	=> 'Pagamento classico',
		'P3F'	=> 'Pagamento in 3 volte',
		'PA'	=> 'Pre-Autorizzazione'
	),
	'es' => array(
		'D'	=> 'Pago clásico',
		'P3F'	=> 'Pago en 3 veces',
		'PA'	=> 'Pre-Autorización'
	),
	'de' => array(
		'D'	=> 'Klassische Bezahlung',
		'P3F'	=> 'Zahlung in 3 mal',
		'PA'	=> 'Pre-Authorization'
	)
);

$arrayLang = array('fr', 'en', 'it', 'es', 'de');
$langIso = substr(get_bloginfo ( 'language' ), 0, 2);
if(!in_array($langIso, $arrayLang)){
	$langIso = 'en';
}
if($_POST["result"] == "OK") {
	global $woocommerce;
	$order = new WC_Order( $order_id );
	// Mark
	$order->update_status('processing', __( 'ComNpay ('.$arrayLangValue[$langIso][$TypeTR].')', 'woocommerce' ));
	// Reduce stock levels
	$order->reduce_order_stock();
	// Remove cart
	$woocommerce->cart->empty_cart();
}else{
	$explodeDatas		= explode('-',$_POST["idTransaction"]);
	$order_id			= $explodeDatas[0];
	$order 				= new WC_Order( $order_id );
	// Avant de mettre en statut échoué, on vérifie si la commande n'a pas déjà été payée et si ce n'est pas un IPN de SOISY pour dire que la requête a été complète
	if(!$order->is_paid() && !$order->has_status('processing') && !$order->has_status('completed') && $_POST["advancedParameter"] != "RequestCompleted") {
		$order->update_status('failed', __('ComNpay (' . $arrayLangValue[$langIso][$TypeTR] . ')', 'woocommerce'));
	}
}
?>